- Qt 6.12
- Qt TaskTree
- C++ Classes
- QThreadFunctionBase
- Qt 6.12.0 Reference Documentation

# QtTaskTree::QThreadFunctionBase Class

class QtTaskTree::QThreadFunctionBase

A base class for QThreadFunction class template. More...

Header: | `#include <qthreadfunctiontask.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS TaskTree)` `target_link_libraries(mytarget PRIVATE Qt6::TaskTree)`
qmake: | `QT += tasktree`
Since: | Qt 6.11
Inherited By: | QtTaskTree::QThreadFunction
Status: | Technology preview

This class is in technology preview and is subject to change.

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Static Public Members

void | syncAll()

## Detailed Description

## Member Function Documentation

### `[static]` void QThreadFunctionBase::syncAll()

This method should be called on application quit to synchronize the finalization of all still possibly running functions that were started via QThreadFunction. The call has to be executed from the main thread.

See also QThreadFunction::setAutoDelayedSync().